How Can We Help?

< All Topics
Print

How to ignore repositories in Git Updater

In certain instances a user may have a plugin or theme installed where the developer is using Git Updater. Occasionally, the repository, especially a private repository, may be causing API limitations or other issues as the user will not have the proper authorization credentials for the repository’s API. In Git Updater v10.3.0 a new class Ignore has been added to make the process simpler to remove the specific repository from any Git Updater API checks.

All the user needs to do is pass the slug and file to the new class.

For a plugin, the slug would be test-plugin and the file would be test-plugin/plugin.php.

For a theme, the slug might be test-child and the file would be test-child/style.css.

An ignored repository will have the dismiss dashicon in the appropriate settings subtab.

The format is as follows:

new Fragen\Git_Updater\Ignore( 'test-plugin', 'test-plugin/test-plugin.php' );
new Fragen\Git_Updater\Ignore( 'test-child', 'test-child/style.css' );

It would be best to add this to a new plugin. I have an example plugin in a Gist.

Previous General Usage
Next Installation
Table of Contents